]> git.madduck.net Git - etc/vim.git/blobdiff - action/entrypoint.sh

madduck's git repository

Every one of the projects in this repository is available at the canonical URL git://git.madduck.net/madduck/pub/<projectpath> — see each project's metadata for the exact URL.

All patches and comments are welcome. Please squash your changes to logical commits before using git-format-patch and git-send-email to patches@git.madduck.net. If you'd read over the Git project's submission guidelines and adhered to them, I'd be especially grateful.

SSH access, as well as push access can be individually arranged.

If you use my repositories frequently, consider adding the following snippet to ~/.gitconfig and using the third clone URL listed for each project:

[url "git://git.madduck.net/madduck/"]
  insteadOf = madduck:

Use optional tests for "no_python2" to simplify local testing (#2203)
[etc/vim.git] / action / entrypoint.sh
index dc86fa1996e4c7dbaeb804f4cd39788dc8a36e4c..30bf4eb688f92646c5a794d38a7988d9b77a2c65 100755 (executable)
@@ -1,10 +1,9 @@
-#!/bin/sh
-set -e
+#!/bin/bash -e
 
-if [ $# -eq 0 ]; then
-    # Default (if no args provided).
-    sh -c "black . --check --diff"
-else
-    # Custom args.
-    sh -c "black $*"
+if [ -n "$INPUT_BLACK_ARGS" ]; then
+  echo '::warning::Input `with.black_args` is deprecated. Use `with.options` and `with.src` instead.'
+  black $INPUT_BLACK_ARGS
+  exit $?
 fi
+
+black $INPUT_OPTIONS $INPUT_SRC